Bug 129578 - Acrobat plugin consumes 100% of CPU
Acrobat plugin consumes 100% of CPU
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-10 11:40 EDT by Mikko Huhtala
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 13:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mikko Huhtala 2004-08-10 11:40:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
A long-standing bug that caused the Adobe Acrobat Reader plugin to
consume 100% of CPU wasfixed in Mozilla 1.7, at least partially (bug
198954 at bugzilla.mozilla.org). 

The Fedora-packaged Mozilla 1.7.2-0.2.0 still suffers from the bug.
This appears to be because of the compilation options or patches in
the Fedora package. The problem is that Mozilla apparently performs
Gtk2 redraws constantly. The bug only affects Gtk2 builds. Gtk1
builds, such as mozilla.org binaries, work ok. 

Compiling Mozilla 1.7.2 from the unpatched, pristine mozilla.org
sources gave binaries on which the Acrobat plugin worked without
problems. The compilation options were as follows:

export CXXFLAGS="-march=pentium3 -Os"
export CFLAGS="-march=pentium3 -Os"
export LIBIDL_CONFIG=/usr/bin/libIDL-config-2

in .mozconfig

  ac_add_options --enable-calendar
  ac_add_options --disable-debug
  ac_add_options --enable-xft
  ac_add_options --enable-crypto
  ac_add_options --prefix=/opt/mozilla-1.7.2

The Acrobat plugin version tested is 5.0.8 for both the Mozilla
compiled from source with the above options (no problem) and Fedora's
mozilla-1.7.2-0.2.0 (100% of CPU consumed when plugin is loaded).

Version-Release number of selected component (if applicable):
mozilla-1.7.2-0.2.0

How reproducible:
Always

Steps to Reproduce:
1. Install Adobe Acrobat plugin for Mozilla.
2. Restart Mozilla.
3. Open a PDF file in Mozilla via plugin. 

Actual Results:  Mozilla / X consumes 100% of CPU for as long as the
plugin is loaded.

Expected Results:  CPU should be idle after the plugin has loaded and
the PDF opened, if the user does not do anything.

Additional info:

The bug in bugzilla.mozilla.org has been reopened after it was
supposedly fixed in 1.7. I guess the bug can be triggered in with some
compile-time options even without the patches in the Fedora package.
Comment 1 Christopher Blizzard 2004-09-13 17:13:22 EDT
The upstream bug has more information:

http://bugzilla.mozilla.org/show_bug.cgi?id=198954
Comment 2 Matthew Miller 2005-04-26 12:05:29 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.